## wmcore 0.0.2+ds

=== Makefile ===
INSTALL = /usr/bin/install
LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11
OBJS =  wmcore.o \
		wmgeneral.o \
		misc.o \
		list.o


.c.o:
	cc $(CFLAGS) -Wall -c -O3 $< -o $*.o

wmlmon: $(OBJS)
	cc $(CFLAGS) -Wall -o wmcore $^ $(LIBDIR) $(LIBS)

clean::
	for i in $(OBJS) ; do \
		rm -f $$i;\
	done
	rm -f wmcore
install::
	$(INSTALL) -c wmcore /usr/bin/wmcore
uninstall:
	rm -f /usr/bin/wmcore

=== debian/changelog ===
wmcore (0.0.2+ds-1) unstable; urgency=low

  * Initial release (Closes: #668081).

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 12 Feb 2016 19:11:56 -0500

=== debian/control ===
Source: wmcore
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9),
               libx11-dev,
               libxext-dev,
               libxpm-dev
Standards-Version: 3.9.7
Homepage: http://www.bitmania.de/index.php?page=35
Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmcore.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmcore.git

Package: wmcore
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dockapp that shows the usage of each core in the system
 The dockapp splits into two displays, the upper one showing the common usage
 of the system and the lower display showing one graph per each core.
 .
 It detects the number of cores and computes the usage to be represented as a
 bar graph.
 wmcore works with a variable number of cores.  The display has been tested
 with 1 up to 16 (simulated) cores.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
UVER = $(shell dpkg-parsechangelog -S Version | sed 's/\+ds.*//')

%:
	dh $@

get-orig-source:
	wget http://www.bitmania.de/pub/wmcore-$(UVER).tar.gz
	gunzip wmcore-$(UVER).tar.gz
	tar --file=wmcore-$(UVER).tar --delete --wildcards *.o */wmcore
	gzip -n wmcore-$(UVER).tar
	mv wmcore-$(UVER).tar.gz ../wmcore_$(UVER)+ds.orig.tar.gz

=== debian/watch ===
# Upstream doesn't have a link directly to tarball on homepage.  Use
# get-orig-source target in debian/rules.

## wmcore 0.0.4

=== debian/changelog ===
wmcore (0.0.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright
    - Remove unused license definitions for GPL-2+ with linking exception.

  [ Doug Torrance ]
  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Update my copyright years.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 24 Oct 2021 21:24:32 -0400

wmcore (0.0.4-1) unstable; urgency=medium

  * New upstream version 0.0.4.  Fixes FTCBFS caused by hard-coded pkg-config
    commands (closes: #961465).
  * Remove d/wmcore.1: the man-page is now upstream.
  * Remove d/dirs: the upstream build-system does what is needful.
  * Update d/copyright.

 -- Jeremy Sowden <jeremy@azazel.net>  Mon, 25 May 2020 18:31:47 +0100

wmcore (0.0.3-1) unstable; urgency=medium

  [ Jeremy Sowden ]
  * wmcore is now hosted by dockapps.net.
  * New upstream version 0.0.3
  * Remove upstreamed patches.
  * Add pkg-config b-d.
  * Remove obsolete d/copyright entries.

  [ Andreas Metzler ]
  * Drop obsolete debian/README.source.

 -- Jeremy Sowden <jeremy@azazel.net>  Mon, 18 May 2020 18:21:29 +0100

wmcore (0.0.2+ds-3) unstable; urgency=medium

  * Add patch to make compiler variable and fix FTCBFS (closes: #959998).
  * Bumped debhelper-compat to 13.

 -- Jeremy Sowden <jeremy@azazel.net>  Fri, 08 May 2020 10:35:07 +0100

wmcore (0.0.2+ds-2) unstable; urgency=medium

  [ Doug Torrance ]
  * Update Vcs-* after migration to Salsa.
  * Update Format in d/copyright to https.

  [ Jeremy Sowden ]
  * Add patch to use wmgeneral.* from libdockapp. This fixes the Gcc-10
    related FTBFS. Closes: #957940
  * Bumped compat to 12 and replaced d/compat with b-d on debhelper-compat.
  * Bump Standards-Version to 4.5.0.
  * Add myself to uploaders.
  * Set Rules-Requires-Root: no.

  [ Andreas Metzler ]
  * [lintian] In rules use /usr/share/dpkg/pkg-info.mk instead of invoking
    dpkg-parsechangelog.

 -- Jeremy Sowden <jeremy@azazel.net>  Sun, 03 May 2020 16:16:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,20 @@
 Source: wmcore
 Section: x11
 Priority: optional
-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper (>= 9),
+Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
+           Jeremy Sowden <jeremy@azazel.net>
+Build-Depends: debhelper-compat (= 13),
+               libdockapp-dev,
                libx11-dev,
                libxext-dev,
-               libxpm-dev
-Standards-Version: 3.9.7
-Homepage: http://www.bitmania.de/index.php?page=35
-Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmcore.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmcore.git
+               libxpm-dev,
+               pkg-config
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
+Homepage: https://www.dockapps.net/wmcore
+Vcs-Browser: https://salsa.debian.org/wmaker-team/wmcore
+Vcs-Git: https://salsa.debian.org/wmaker-team/wmcore.git
 
 Package: wmcore
 Architecture: any
